Säkerhetsbulletin från Debian

DSA-298-1 epic4 -- buffertspill

Rapporterat den:
2003-05-02
Berörda paket:
epic4
Sårbara:
Ja
Referenser i säkerhetsdatabaser:
I Bugtraq-databasen (hos SecurityFocus): BugTraq-id 7098, BugTraq-id 7095, BugTraq-id 7094, BugTraq-id 7093.
I Mitres CVE-förteckning: CVE-2003-0323.
Ytterligare information:

Timo Sirainen upptäckte flera problem i EPIC4, en populär klient för Internet Relay Chat (IRC). En elakartad server kunde skapa speciella svarssträngar vilket fick klienten att skriva bortom buffertgränserna. Detta kunde leda till en överbelastningsattack om klienten bara kraschar, men kanske även kan leda till att godtycklig kod exekveras som användar-id:t för användaren som kör programmet.

För den stabila utgåvan (Woody) har dessa problem rättats i version 1.1.2.20020219-2.1.

För den gamla stabila utgåvan (Potato) har dessa problem rättats i version pre2.508-2.3.

För den instabila utgåvan (Sid) har dessa problem rättats i version 1.1.11.20030409-1.

Vi rekommenderar att ni uppgraderar ert EPIC4-paket.

Rättat i:

Debian GNU/Linux 2.2 (potato)

Källkod:
http://security.debian.org/pool/updates/main/e/epic4/epic4_pre2.508-2.3.dsc
http://security.debian.org/pool/updates/main/e/epic4/epic4_pre2.508-2.3.diff.gz
http://security.debian.org/pool/updates/main/e/epic4/epic4_pre2.508.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/e/epic4/epic4_pre2.508-2.3_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/e/epic4/epic4_pre2.508-2.3_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/e/epic4/epic4_pre2.508-2.3_i386.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/e/epic4/epic4_pre2.508-2.3_m68k.deb
PowerPC:
http://security.debian.org/pool/updates/main/e/epic4/epic4_pre2.508-2.3_powerpc.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/e/epic4/epic4_pre2.508-2.3_sparc.deb

Debian GNU/Linux 3.0 (woody)

Källkod:
http://security.debian.org/pool/updates/main/e/epic4/epic4_1.1.2.20020219-2.1.dsc
http://security.debian.org/pool/updates/main/e/epic4/epic4_1.1.2.20020219-2.1.diff.gz
http://security.debian.org/pool/updates/main/e/epic4/epic4_1.1.2.20020219.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/e/epic4/epic4_1.1.2.20020219-2.1_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/e/epic4/epic4_1.1.2.20020219-2.1_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/e/epic4/epic4_1.1.2.20020219-2.1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/e/epic4/epic4_1.1.2.20020219-2.1_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/e/epic4/epic4_1.1.2.20020219-2.1_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/e/epic4/epic4_1.1.2.20020219-2.1_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/e/epic4/epic4_1.1.2.20020219-2.1_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/e/epic4/epic4_1.1.2.20020219-2.1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/e/epic4/epic4_1.1.2.20020219-2.1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/e/epic4/epic4_1.1.2.20020219-2.1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/e/epic4/epic4_1.1.2.20020219-2.1_sparc.deb

MD5-kontrollsummor för dessa filer finns i originalbulletinen.